<script type="text/javascript">
    var buttonConfirmMessage = "Tworzenie kopii zapasowej może potrwać bardzo długo. Podczas tworzenia kopii NIE MOŻNA używać aplikacji księgowych które są zależne od danej usługi. Czy na pewno rozpocząć tworzenie kopii?";
</script>
<div id="PANEL">
    <div class="page">
        <section>
            <h1>
                TEWU - Manager kopii zapasowych
                <button class="button material right refresh" onclick="window.location.reload()"><i class="fa fa-redo"></i></button>
            </h1>
            <div class="clr"></div>
            {{#if errorMessage}}
                <div class="spacer"></div>
                <p class="field-error">
                    <span>{{errorMessage}}</span>
                </p>
            {{/if}}
            {{#if successMessage}}
                <div class="spacer"></div>
                <p class="field-error success">
                    <span>{{successMessage}}</span>
                </p>
            {{/if}}
            {{#if infoMessage}}
                <div class="spacer"></div>
                <p class="field-error info">
                    <span>{{infoMessage}}</span>
                </p>
            {{/if}}
            {{#unless servicesStatus.error}}
                <div class="buttons">
                    {{#each services}}
                        <button type="button"{{#ifIn this.slug ../servicesStatusKeys }} disabled{{/ifIn}} class="button material information{{#ifIn this.slug ../servicesStatusKeys }} disabled{{/ifIn}}" onclick="if (window.confirm(buttonConfirmMessage)) { window.location.href = '/backups/{{this.slug}}';}">{{this.name}}</button>
                    {{/each}}
                </div>
            {{/unless}}
            <div class="log">
                <ul>
                    {{#each servicesStatus}}
                        <li>{{this}}</li>
                    {{/each}}
                </ul>
            </div>
            <div class="bottom-buttons">
                <button class="button material delete" onclick="window.location.href = '/logout';">WYLOGUJ</button>
            </div>
        </section>
    </div>
</div>
